#ifndef _TEST_COMPARE_H_
#define _TEST_COMPARE_H_

#include "../modulemanager/imodule.h"
#include "../modulemanager/moduletype.h"
#include "../modulemanager/messageclass.h"

/**
 * \brief Test module. Simple sorting algorithm.
 * 
 * \date 01-29-2006
 *
 * \author admin
 *
 * \todo 
 *
 * \bug 
 *
 */
class TestCompare:public IModule
{
	bool wasCounted;
	double result[3];
public:
	void afterInstantiate();
	void receiveMessage(TObject* mesg);
	void run();
};

/**
 * \brief Test type. Simple sorting algorithm.
 * 
 * \date 01-29-2006
 *
 * \author admin
 *
 * \todo 
 *
 * \bug 
 *
 */
class TestCompareLoader:public ModuleType
{
	static Ptr<VarDef> variables[];
	static Ptr<Command> commands[];

	static string name;
public:
	const string& getName() const
	{
		return name;
	}
	Ptr<Command>* getCommands() const
	{
		return commands;
	}

	// return array of variables which will module use in shell
	Ptr<VarDef>* getVariables() const
	{
		return variables;
	}

	IModule* newModule() const
	{
		return new TestCompare();
	}
};

#endif/*_TEST_COMPARE_H_*/
